import request from '@/utils/request'

// 查询用户与岗位关联列表
export function listCompanyUserPost(query) {
  return request({
    url: '/company/companyUserPost/list',
    method: 'get',
    params: query
  })
}

// 查询用户与岗位关联详细
export function getCompanyUserPost(userId) {
  return request({
    url: '/company/companyUserPost/' + userId,
    method: 'get'
  })
}

// 新增用户与岗位关联
export function addCompanyUserPost(data) {
  return request({
    url: '/company/companyUserPost',
    method: 'post',
    data: data
  })
}

// 修改用户与岗位关联
export function updateCompanyUserPost(data) {
  return request({
    url: '/company/companyUserPost',
    method: 'put',
    data: data
  })
}

// 删除用户与岗位关联
export function delCompanyUserPost(userId) {
  return request({
    url: '/company/companyUserPost/' + userId,
    method: 'delete'
  })
}

// 导出用户与岗位关联
export function exportCompanyUserPost(query) {
  return request({
    url: '/company/companyUserPost/export',
    method: 'get',
    params: query
  })
}